QR_BANKS

Overview:
This section describes the payment collections for QR all banks method within the system

Payin

Request body:

FieldTypeRequirement LevelDescription
amountnumberRequiredAmount in KGS
currencystringRequired"KGS"
method_codestringRequired"QR_BANK"
referencestringRequiredMerchant reference
descriptionstringOptionalDescription for this payment
metadataobjectOptionalMerchant metadata, returned in notifications
webhook_urlstringOptionalHTTPS URL for payout notifications
customer.first_namestringOptionalCustomer's first name
customer.last_namestringOptionalCustomer's last name
customer.emailstringOptionalCustomer's email address
customer.phonestringOptionalCustomer's phone number
customer.addressstringOptionalCustomer's address
customer.citystringOptionalCustomer's city
customer.statestringOptionalCustomer's state
customer.zipstringOptionalCustomer's zipcode
customer.countrystringRequiredCustomer's country (iso2)
ip_addressstringOptionalSever's IP Address

Sample Payload:*

{
  "amount": 100,
  "currency": "KGS",
  "method_code": "QR_BANK",
  "reference": "INV-2025-001",
  "metadata": {
    "internal_id": "user1234"
  },
  "webhook_url": "https://yourwebsite.com/webhook",
	"callback_url": "https://yourwebsite.com/callback",
  "customer": {
    "first_name": "Firstname",
		"last_name": "lastname",
    "address": "No 2, Green Median Str",
    "phone": "+9995676898076",
    "email": "[email protected]",
		"country": "KG"
  },
	"ip_address": "0.0.0.0"
}

Payout

Not supported